<?php
// $Id: password_change.install,v 1.2 2009/12/14 05:38:03 davereid Exp $

/**
 * @file
 * Install and uninstall schema and functions for the password_change module.
 */

// based on phpass.module
function password_change_install() {
  // detect presence of phpass (pass hash method set as 'phpass')
  if (module_exists("phpass") && variable_get('user_hash_method', 'phpass') == 'phpass') {
    // report error if passwordhash is missing through a phpass.module function
    _phpass_is_passwordhash_php_missing();
  }
}

function password_change_uninstall() {
  variable_del('password_change_all');
}
